# SdFat: DirPos_t Struct Reference

DirPos_t Struct Reference

Internal type for position in directory file. More...

`#include <ExFatTypes.h>`

## Public Attributes

uint32_t | cluster
bool | isContiguous
uint32_t | position

## Detailed Description

Internal type for position in directory file.

## Member Data Documentation

## cluster

uint32_t DirPos_t::cluster

current cluster

## isContiguous

bool DirPos_t::isContiguous

directory is contiguous

## position

uint32_t DirPos_t::position

offset

The documentation for this struct was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/ExFatLib/ExFatTypes.h